import * as f from "react";
import { MenuContext as m } from "../context/MenuContext.mjs";
function l(t, e, i, o) {
  var n = f.useContext(m), r = n.activeKey, u = n.onActive, v = n.onInactive, c = {
    active: r === t
  };
  return e || (c.onMouseEnter = function(a) {
    i == null || i({
      key: t,
      domEvent: a
    }), u(t);
  }, c.onMouseLeave = function(a) {
    o == null || o({
      key: t,
      domEvent: a
    }), v(t);
  }), c;
}
export {
  l as default
};
